module.exports = {
  devServer: {
    proxy: {
      "/proxyApi": {
        target: 'http://172.16.101.87:34568',
        pathRewrite: {
          '^/proxyApi': '',
        },
      },
    },
  },
  chainWebpack: config => {
    /* svg */
    const svgRule = config.module.rule("svg");
    svgRule.uses.clear();
    svgRule
      .use("svg-sprite-loader")
      .loader("svg-sprite-loader")
      .options({
        symbolId: "icon-[name]"
      })
      .end();
  }
}
